// VRML Generator
// Copyright Justin Couch 1996
//
// Chapter 25: Late Night VRML 2.0 and Java
//
// Interpolator Abstract class

package vlc.vrml.internal.geometry;

import vrml.field.*;

public abstract class Interpolator extends ChildrenNode
{
	protected SFFloat	_set_fraction;
	protected MFFloat	_set_key;

	protected float[]	_key;

	protected Interpolator()
	{
	}

	public void set_key(float[] key)
	{
		_key = key;
		if(have_browser)
			_set_key.setValue(key);
	}
}