// A simple polygon class

// Written by Bernie Roehl, November 1996

package lsystem;

public class Polygon {
    protected int color;
    protected int npoints;
    protected int[] points;

    public int getColor() { return color; } 
    public int getNumberOfPoints() { return npoints; } 
    public int getPoint(int n) { return points[n]; }

    public Polygon(int npts, int[] pts, int col) {
        color = col;
        npoints = npts;
        points = new int[npts];
        for (int i = 0; i < npts; ++i)
            points[i] = pts[i];
    }
}
