package spatial;

import java.util.*;

public class BSPNode {
    protected float a, b, c, d;
    protected int left, right;
    public int getLeft() { return left; }
    public int getRight() { return right; }
    public boolean inFront(float x, float y, float z) {
        return x * a + y * b + z * c > d;
    }
    public BSPNode(String str) {
        StringTokenizer tok = new StringTokenizer(str);
        a = Float.valueOf(tok.nextToken()).floatValue();
        b = Float.valueOf(tok.nextToken()).floatValue();
        c = Float.valueOf(tok.nextToken()).floatValue();
        d = Float.valueOf(tok.nextToken()).floatValue();
        left = Integer.parseInt(tok.nextToken());
        right = Integer.parseInt(tok.nextToken());
    }
    public String toString() {
        return a + " " + b + " " + c + " " + d + " " + left + " " + right;
    }
}

