// VRML Generator
// Copyright Justin Couch 1996
//
// Chapter 13: Late Night VRML 2.0 and Java
//
// Sensor Abstract class

package vlc.vrml.internal.geometry;

import vrml.field.*;

public abstract class Sensor extends ChildrenNode
{
	protected SFBool	_set_enabled;
	protected ConstSFBool _get_isActive;

	protected boolean	_enabled = true;

	// just to stop people creating instances of the Sensor
	protected Sensor()
	{
	}

	public void set_enabled(boolean val)
	{
		_enabled = val;
		if(have_browser)
			_set_enabled.setValue(_enabled);
	}

	public boolean get_enabled()
	{
		return(_enabled);
	}

	public boolean get_isActive()
	{
		return(_get_isActive.getValue());
	}
}